﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Media;


namespace UIComposition.Views.HourlyRequestsView
{
    class HourlyOvrdConverter:IValueConverter
    {
        #region IValueConverter Members
        private DateTime latestDate = DateTime.Now;

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return Binding.DoNothing;
            try
            {   
                // Get the current date/time value of the latest T2 Approved Case
                latestDate = HourlyRequestsView.HourlyReqView.getLatestT2ApprovedCaseDate();
                string d = value.ToString();
                if (System.Convert.ToDateTime(d).AddHours(-3) <= latestDate) //local time <= T2 Approved local time
                { d = "false"; }
                else { d = "true"; }
                return d;
            }
            catch
            {return Binding.DoNothing;}


        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return Binding.DoNothing;
            
        }

        #endregion
    }
}
